
QGIS Application - Bug report #16886

Open Spatial Bookmark Panel Causes Crash

2017-07-19 03:02 AM - Darren Kavanagh

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:2.18.7 Regression?: No

Operating System: OS X 10.12.5 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 24785

Description

If I have the Spatial Bookmark Panel open on startup and then exit without opening a map the application crashes.

See attached crash dump for more details.

History

#1 - 2017-07-19 10:38 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

Likely a duplicated of #16345 and already been fixed. You need to try on a more recent version than 2.18.7, then let us know. Thanks!

#2 - 2017-09-25 03:36 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

Closed for lack of feedback, please reopen if necessary.

#3 - 2017-09-27 06:29 PM - Darren Kavanagh

Giovanni Manghi wrote:

Likely a duplicated of #16345 and already been fixed. You need to try on a more recent version than 2.18.7, then let us know. Thanks!

Unfortunately, 2.18.7 is still the current Mac version.

Thanks

#4 - 2017-09-27 07:38 PM - Giovanni Manghi

Unfortunately, 2.18.7 is still the current Mac version.
Thanks

yes, does not means the issue has been fixed. Hopefully in the next future there will be more timely updates for the macos os.

Files

QGIS_Crash_Dump.txt 95.6 KB 2017-07-19 Darren Kavanagh
